<?php

namespace Teknisa\DF\Modules\Entrada\Controllers;

use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Row;
use Zeedhi\Framework\DataSource\DataSet;


class ParametrosFilialEntrada extends \Teknisa\DF\Controllers\TeknisaCrud {
    protected $dataSourceName = 'paramfilial_entrada';
    protected $parameterBagColumns = array("P_CDFILIAL");
    protected $dataSourceNameToSave ='paramfilial';
    protected $entityManager;
    protected $environment;

    public function __construct($crudService, $parameterBag, $environment, $entityManager) {
        parent::__construct($crudService, $parameterBag);
        $this->environment = $environment;
    }

}